Index: sys/arm/conf/BEAGLEBONE
===================================================================
--- sys/arm/conf/BEAGLEBONE	(revision 258798)
+++ sys/arm/conf/BEAGLEBONE	(working copy)
@@ -101,6 +101,7 @@
 
 # GPIO
 device		gpio
+device		gpioled
 
 # USB support
 device		usb
Index: sys/boot/fdt/dts/beaglebone-black.dts
===================================================================
--- sys/boot/fdt/dts/beaglebone-black.dts	(revision 258798)
+++ sys/boot/fdt/dts/beaglebone-black.dts	(working copy)
@@ -147,6 +147,30 @@
 		}
 	};
 
+	leds {
+		compatible = "gpio-leds";
+
+		led1 {
+			gpios = <&GPIO 53 2 0>;
+			name = "led1";
+		};
+
+		led2 {
+			gpios = <&GPIO 54 2 0>;
+			name = "led2";
+		};
+
+		led3 {
+			gpios = <&GPIO 55 2 0>;
+			name = "led3";
+		};
+
+		led4 {
+			gpios = <&GPIO 56 2 0>;
+			name = "led4";
+		};
+	};
+
 	chosen {
 		stdin = "uart0";
 		stdout = "uart0";
